
Foreman - Bug #10248

When cloning virtual machine from existing machine - Network Interface and Storage details are not

propagated.

04/23/2015 04:25 AM - Tomáš Strachota

Status: Closed   

Priority: Normal   

Assignee: Tomáš Strachota   

Category: Compute resources   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1200083 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2380

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1200083

Description of problem:

Customer attempts to clone VM in the Setellite6 WebUI. Most of the settings are copied from original VM while Network interface and

Storage information are default one.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

1. In Sat6 clone machine from existing host

Actual results:

If source host has different Network and Storage settings to VMWare template then new host gets default Network and Storage

settings from template

Expected results:

New host must get settings from cloned host rather than from VMware template

Additional info:

Related issues:

Related to Foreman - Bug #19236: Unable to delete Host in Foreman which has b... Closed 04/10/2017

Associated revisions

Revision 4269abbd - 08/11/2015 03:56 AM - Tomáš Strachota

Fixes #10248 - cloning volume information for virtual machines

History

#1 - 04/23/2015 04:25 AM - Tomáš Strachota

- Category set to Compute resources

- Status changed from New to Assigned

#2 - 05/13/2015 10:10 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2380 added

- Pull request deleted ()

#3 - 08/11/2015 04:15 AM - Dominic Cleal

- translation missing: en.field_release set to 63
#4 - 08/11/2015 05:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 4269abbd3c1fba6deb50b4b8ede2fecbbed11ddd.

#5 - 04/10/2017 10:35 AM - Ivan Necas

- Related to Bug #19236: Unable to delete Host in Foreman which has been delete in RHV already added
